Api key provided on integrations tab in Easyflow platform.
List pixels
Returns a list of pixels.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Query parameters
pageintegerPage number. Defaults to 1.
limitintegerNumber of items per page. Defaults to 20.
filter[ownerId]stringrequiredfilter[externalReferenceId]stringfilter[code]stringfilter[platform]stringfilter[events][]array of stringsReturns pixels that track at least one of these events. Repeat the parameter to send more than one value.
Responses
200Returns a list of pixels.
Returns a list of pixels.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
pixelsobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstringcreatedAtstringplatformstringPlatform of the pixel. A pixel created by Easyflow can bring a value outside this list, so accept unknown values.
statusstringcodestringnamestring
limitintegercurrentPageintegerhasNextbooleannextPageintegernullabletotalDocsintegertotalPagesinteger
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.